package Server::Info::Format::Csv;
use strict;
use warnings;
use Text::CSV;

sub format {
    my ($class, $info) = @_;
    my $csv = Text::CSV->new;
    $csv->combine(
        $info->host,
        $info->cpu->model,
        $info->cpu->number,
        $info->memory->size,
        $info->kernel->version,
    );
    $csv->string;
}

1;

